openstack-debian-images (1.72) unstable; urgency=medium

  * Fix partition sellection when installing with RAID.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Dec 2022 14:07:20 +0100

openstack-debian-images (1.71) unstable; urgency=medium

  * Add forky as possible release.
  * Also support installing on NVMe drives (support "p1 / p2" partition names).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 15:02:04 +0200

openstack-debian-images (1.70) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 11:53:26 +0200

openstack-debian-images (1.69) unstable; urgency=medium

  * Add secure boot support if using UEFI.
  * Add support for UEFI + software raid.
  * Do not write udev rules for persistent network names in /etc/udev/rules.d,
    as this doesn't work with newer kernels.
  * Do not set biosdevname=0 net.ifnames=0 in grub.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Oct 2022 16:55:28 +0200

openstack-debian-images (1.68) unstable; urgency=medium
  
  [ Thomas Goirand ]
  * Also handle building rescue image.
  * Fixed writing udev rules to disk.

  [ Kevin Allioli ]
  * Add --editor option.
  * Add --default-editor option.
  * Add xfsprogs in rescue mode.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 10:22:10 +0100

openstack-debian-images (1.67) unstable; urgency=medium

  * Allow partprobe to fail, as it may return non-zero if there's a read-only
    cdrom device in /dev/sr0.
  * Add a new type=forcebrexmac,brexmacaddr=MACADDR to allow setting-up
    OpenStack within OpenStack VMs with port-security enabled. This way, the
    bridge can be set with the eth0 MAC, making connectivity possible.
  * Also include /etc/network/interfaces.d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Dec 2021 11:40:00 +0100

openstack-debian-images (1.66) unstable; urgency=medium

  * Add rudimentary Trove image support.
  * Set GRUB_TERMINAL="console serial" not just serial when given the option to
    setup the console on serial.

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Nov 2021 11:09:29 +0100

openstack-debian-images (1.65) unstable; urgency=medium

  * Always install the -backports repository, and add a new option to install
    the kernel from it (ie: --kernel-from-backports).
  * openstack-debian-images-updater: now supports Manila images.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Oct 2021 11:47:58 +0200

openstack-debian-images (1.64) unstable; urgency=medium

  * Add support for building Manila images.
  * Add an option to not convert to a qcow2 image at end of build.
  * Do not write udev rule for a bunch of NIC names.
  * Check all scripts with "sh -n" at package build time.
  * Add echo 10000 >/proc/sys/dev/raid/speed_limit_max if we're setting-up on
    RAID to speed-up OS installation.
  * Increase the EFI partition size to nearly 2GB.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Jun 2021 13:01:11 +0200

openstack-debian-images (1.63) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools.
  * override_dh_fixperms: -> override_dh_fixperms-indep:.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 May 2021 12:32:48 +0200

openstack-debian-images (1.62) experimental; urgency=medium

  * Add support for retrieving credentials in Hashicorp vault.
  * Add gnupg2 as dependency for the build-farm.
  * Add a --newer-qemu option.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 May 2021 18:21:37 +0200

openstack-debian-images (1.61) experimental; urgency=medium

  * Update d/copyright years and authors.
  * Transform this package into an OpenStack image build farm, having daily
    check (and updates if needed) for all configured releases of Debian.
  * Allow using bookworm, trixie, unstable, as targets.
  * Switch to the dh sequencer.
  * Added direct support for building and maintaining Octavia images.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Apr 2021 22:28:39 +0200

openstack-debian-images (1.60) unstable; urgency=medium

  * Do not set eth0+eth1 bond-master option if >= bullseye, as this just fails
    to bring up bond0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Apr 2021 11:31:35 +0200

openstack-debian-images (1.59) unstable; urgency=medium

  * Wait 5 seconds after fsck before removing the loop device.
  * Fixed BGP-2-the-host setup:
    - Remove "route-map map-map-leaf-in permit 10" when writing the frr.conf,
      as this breaks the return route with FRR >= 7.
    - Fix s/route-map map-leaf-in out/route-map map-leaf-in in/.
    - Add a lasting "route-map map-leaf-in permit 10".

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 11:35:32 +0200

openstack-debian-images (1.58) unstable; urgency=medium

  * Add cgroupv1 compatibility options on the kernel command line:
    - systemd.unified_cgroup_hierarchy=false
    - systemd.legacy_systemd_cgroup_controller=false
    Without these, Cinder QoS on I/O will fail, as the cgroups v1 sysfs will
    not be mounted.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 16:35:01 +0100

openstack-debian-images (1.57) unstable; urgency=medium

  * Fix gbp network to also understand MTU. This unfortunately is mandatory for
    VM connectivity to work with 1500 as MTU.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Feb 2021 14:41:23 +0100

openstack-debian-images (1.56) unstable; urgency=medium

  * Add delay after creating partitions.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2021 11:01:47 +0100

openstack-debian-images (1.55) unstable; urgency=medium

  * Fix bgp-to-the-host FRR setup from previous version.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2021 16:11:55 +0100

openstack-debian-images (1.54) unstable; urgency=medium

  * Better FRR config for bgp-to-the-host setup, now compatible with FRR 7.x.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2021 13:59:46 +0100

openstack-debian-images (1.53) unstable; urgency=medium

  * Use "auto" instead of "allow-ovs" when interface type is normal.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2021 22:16:18 +0100

openstack-debian-images (1.52) unstable; urgency=medium

  * Call sync + partprobe after creating partitions, as otherwise, there's a
    race condition for the partition to exist before we format it.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2020 17:38:05 +0100

openstack-debian-images (1.51) unstable; urgency=medium

  * Fix bashism in security mirrors installation.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2020 09:57:19 +0100

openstack-debian-images (1.50) unstable; urgency=medium

  * Switch to chrony instead of ntp. Set it up after initial bootstrap.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2020 09:12:57 +0100

openstack-debian-images (1.49) unstable; urgency=medium

  * Use "bullseye-security" instead of "bullseye-updates" (Closes: #972744).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 08:32:14 +0100

openstack-debian-images (1.48) unstable; urgency=medium

  * Add an addbgpip option when setting-up BGP-to-the-host, so the script can
    add the VIP ip to localhost.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Sep 2020 10:12:34 +0200

openstack-debian-images (1.47) unstable; urgency=medium

  * Add a --rescue option to enable tweaking of the image so it can be used as
    an OpenStack rescue image.
  * Fix generating interfaces file when using bondvlan with br-ex case.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jun 2020 09:56:50 +0200

openstack-debian-images (1.46) unstable; urgency=medium

  * Add resolvconf if installing cloud-init.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2020 01:42:01 +0200

openstack-debian-images (1.45) unstable; urgency=medium

  * Also create the br-ex interface if setting-up BGP to the host.
  * Add a begining of Manila image in contrib.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 12:01:50 +0200

openstack-debian-images (1.44) unstable; urgency=medium

  * Also configure /etc/systemd/system/logrotate.timer.d/hourly.conf so that
    logrotate starts every hour.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 00:43:24 +0200

openstack-debian-images (1.43) unstable; urgency=medium

  * Octavia: configure logrotate to run each hours so it can rotate haproxy.log
    more often.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 00:21:12 +0200

openstack-debian-images (1.42) unstable; urgency=medium

  * Octavia: completely rewrite /etc/logrotate.d/haproxy, also install anacron.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Mar 2020 23:04:13 +0200

openstack-debian-images (1.41) unstable; urgency=medium

  * Fix the sed for haproxy logrotate in contrib/octavia.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Mar 2020 17:44:43 +0100

openstack-debian-images (1.40) unstable; urgency=medium

  * Octavia Amphora:
    - take the debian release from ${BODI_RELEASE} instead of having a config
      value it the hook script itself.
    - Configure haproxy's logrotate to be hourly, rotate 3, because the space
      on HDD for the amphora is typically very small (2G) and with the default
      config, it cannot cope with a lot of traffic.
  * Switch to debhelper-compat = 11 (instead of 9).
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Mar 2020 15:23:55 +0100

openstack-debian-images (1.39) unstable; urgency=medium

  * Fix syntax error in contrib/octavia/amphora-build.
  * Fix default for MIRROR_ADDR in contrib/octavia/amphora-build.
  * Add a network type=bgp, so that the server can be setup with unnumbered
    ipv6 link local BGP to the host, with VLAN and ECMP, using FRR.
  * Fix-up amphorae build in contrib/octavia.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Mar 2020 12:55:58 +0100

openstack-debian-images (1.37) unstable; urgency=medium

  [ Thomas Goirand ]
  * Add vmnet option for non-bridge, non-vlan (ie: normal eth0) setup.
  * Add type=ovsbridge.
  * Remove euca2ools and aptitude from default.
  * Customize apt with nicer defaults.
  * Install lsb-release busybox-static and console-setup by default.
  * Set "lacp_rate=1 xmit_hash_policy=layer3+4" in /etc/modprobe.d/bonding.conf
    if we're using bonding (on top of already set "bonding mode=4").
  * Select deadline scheduler for all /dev/sdX drives (set using a udev rules
    file in /etc/network/interfaces/60-deadline-scheduler-to-all-sdx.rules).
  * Do not set console=ttySX if installing on a "qemu real hardware case".
  * Add support for raid1 setup on any pair of HDDs.
  * Add Octavia Amphora build script in the contrib folder.
  * Add || true when doing ovs-vsctl add-port, so that networking.service never
    fails because the port is already added in OVS.
  * Add an option to use only OVS interfaces.
  * Add an option for --tty-autologin.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Mar 2019 11:51:53 +0100

openstack-debian-images (1.36) unstable; urgency=medium

  * Fix-up bondvlan with OVS bridge option.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Jan 2019 15:34:02 +0100

openstack-debian-images (1.35) unstable; urgency=medium

  * Add ovsbr= option when setting-up network interfaces, so it is possible to
    configure an interface with OVS.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Jan 2019 10:08:39 +0100

openstack-debian-images (1.34) unstable; urgency=high

  * Do not setup serial-getty@ttyS1 if installing on bare metal, but running on
    QEMU. This is to avoid annoyances when running OCI's PoC mode.
  * Also configure grub's serial console if setting-up with serial.
  * Add i386 and ppc64el as possible arch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Dec 2018 09:46:44 +0100

openstack-debian-images (1.33) unstable; urgency=medium

  * Add -f flag to mkfs.xfs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Nov 2018 11:28:56 +0100

openstack-debian-images (1.32) unstable; urgency=medium

  * Fix vgcreate call.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Nov 2018 16:57:14 +0100

openstack-debian-images (1.31) unstable; urgency=medium

  * Add a --vgcreate option, to prepare cinder-volume LVM setup.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Nov 2018 14:10:26 +0100

openstack-debian-images (1.30) unstable; urgency=medium

  * Add a --no-cloud-kernel option.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Oct 2018 09:13:20 +0200

openstack-debian-images (1.29) unstable; urgency=medium

  * Add explanation of the gateway parameter in the usage help.
  * Install an eventual x509 PKI, used so OpenStack nodes trust each other.
  * exports DEBIAN_FRONTEND=noninteractive.
  * Add a --add-serial-getty option, as well as a --xfsformat to format all
    non-{s,v}da disks (useful for swift).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Aug 2018 11:35:12 +0200

openstack-debian-images (1.28) unstable; urgency=medium

  [ Thomas Goirand ]
  * Add --no-remove-host-keys option.
  * Add --permit-ssh-as-root option.
  * Add --pre-reboot-hook option.
  * Add support for multiple --static-iface with eventually bonding, vlan and
    bridging.
  * Add support for /puppet* files containing puppet client certificates on the
    live image to be installed on target machine.
  * Install linux-image-cloud-amd64 if we're doing amd64.
  * Switch default to deb.debian.org instead of redir.debian.org.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Aug 2018 06:38:41 +0000

openstack-debian-images (1.27) unstable; urgency=medium

  * Add missing dependency on ipcalc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jun 2018 15:33:41 +0200

openstack-debian-images (1.26) unstable; urgency=medium

  * Add the option to setup a real hardware without cloud-init. With this
    feature, one can run openstack-debian-images to install a standard Debian
    system on a normal hard drive, for example after booting on a live system
    over PXE. This can be used to setup a whole cluster of physical computers.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Apr 2018 22:31:53 +0200

openstack-debian-images (1.25) unstable; urgency=medium

  * Change default order for datasource_source: sets OpenStack before
    CloudStack and DigitalOcean. This was causing a 120s booting delay when
    booting on a normal OpenStack cloud without config drive.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 12:33:41 +0100

openstack-debian-images (1.24) unstable; urgency=medium

  * Add missing chroot when doing the dist-upgrade.
  * Fixed VCS URLs to point to salsa.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Jan 2018 15:23:56 +0100

openstack-debian-images (1.23) unstable; urgency=medium

  * Apply patch from Steve McIntyre: do dist-upgrade and not just upgrade after
    the deboostrap process, and remove old kernels.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jan 2018 16:13:16 +0100

openstack-debian-images (1.22) unstable; urgency=medium

  * Team upload.
  * Add e2fsprogs to Depends (Closes: #887186).

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jan 2018 15:12:20 +0100

openstack-debian-images (1.21) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Deprecating priority extra as per policy 4.0.1.
  * Prefixing all debhelper files.

  [ Thomas Goirand ]
  * Changed the default /etc/network/interfaces to use allow-hotplug, set the
    source /etc/network/interfaces.d/* at the end of the file, so that the
    standard sources.list can be overridden (Closes: #867921, #864478).
  * Completely remove the dhcpclient.conf sed hack, it's not useful for Azure
    anymore anyway (Closes: #869575).
  * Only install unscd if preparing an Azure image (Closes: #868219).
  * Document on script useage and manpage that we can use -r with stretch,
    buster or bullseye as argument.
  * Only install cloud-initramfs-growroot for wheezy and jessie, do not install
    it otherwise (Closes: #828823).
  * Do not "adduser debian" if we're installing wheezy or jessie images, and
    let cloud-init create the default user so it can be overridden by a
    potential metadata info (Closes: #862080).
  * Standards-Version is now 4.1.1.
  * Minimize delta with standard Debian images: do not modify sshd_config,
    /etc/bash.bashrc and so on (Closes: #862081).
  * Add DigitalOcean in datasource_list.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 23:55:43 +0200

openstack-debian-images (1.20) unstable; urgency=medium

  * Also add security updates for non wheezy/jessie.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Jun 2017 17:02:30 +0200

openstack-debian-images (1.19) unstable; urgency=medium

  * Add --no-nvram when calling grub-install to avoid breaking UEFI boot on the
    build host (Closes: #860440). Thanks to Steve McIntyre for reporting and
    patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Apr 2017 17:27:15 +0200

openstack-debian-images (1.18) unstable; urgency=medium

  * Add more protocols to the default datasource_list.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Mar 2017 07:32:55 +0000

openstack-debian-images (1.17) unstable; urgency=medium

  * Fix cloud-init OpenStack case mistake in data source (Closes: #854482).

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Feb 2017 11:36:49 +0000

openstack-debian-images (1.16) unstable; urgency=medium

  * Fixed debian/rules swapped binary-arch and binary-indep (Closes: #853907).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Feb 2017 13:42:00 +0100

openstack-debian-images (1.15) unstable; urgency=medium

  * Added patch from Steve McIntyre <steve@einval.com> to support UEFI and
    arm64 images.
  * Fixed some spelling mistakes in man page.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jan 2017 13:36:54 +0000

openstack-debian-images (1.14) unstable; urgency=medium

  * Do not install libpam-systemd at the debootstrap phase, sa this pulls
    both systemd-sysv and systemd-shim which are failing the bootstrap.
  * Uses --force when calling install-mbr.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Dec 2016 09:44:06 +0000

openstack-debian-images (1.13) unstable; urgency=medium

  * Add NoCloud as possible datasource. (Closes: #826954)

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jun 2016 11:25:57 +0200

openstack-debian-images (1.12) unstable; urgency=medium

  * Fixed malformed 90_dpkg.cfg yaml (Closes: #826561).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jun 2016 11:15:43 +0200

openstack-debian-images (1.11) unstable; urgency=medium

  * Do not use grub-pc from the host, and remove matching Depends: of grub-pc
    (Closes: #825888).
  * Document the boot manager option in the man page.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2016 08:29:56 +0000

openstack-debian-images (1.10) unstable; urgency=medium

  * Add grub support, and make it default over syslinux (Closes: #816196).
  * Add "source /etc/network/interfaces.d/*" in interfaces (Closes: #820120).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 May 2016 15:54:59 +0200

openstack-debian-images (1.9) unstable; urgency=medium

  * Merge Azure script into build-openstack-debian-image:
    - Now using ext4 and not ext3 anymore (Closes: #819761).
  * Added an explicite LICENSE.txt Apache-2.0 file.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 May 2016 12:48:56 +0000

openstack-debian-images (1.8) unstable; urgency=medium

  * Adds missing python3-cffi-backend which python3-cryptography seem to need
    in Stretch (this otherwise fails debootstrap).
  * Fix console blanking fix in Stretch (ie: /etc/kbd/config doesn't exist
    anymore).

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 May 2016 10:29:30 +0200

openstack-debian-images (1.7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Added "biosdevname=0 net.ifnames=0" to the kernel default command line, to
    avoid eth renaming, which destroys the network. Though this is a temporary
    hack until we get a more recent cloud-init which handles it.
  * Removed Thomas Bechtold <toabctl@debian.org> from uploaders, as it is
    unlikely he will upload again.
  * Standards-Version is now 3.9.7.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Apr 2016 14:45:02 +0200

openstack-debian-images (1.6) unstable; urgency=medium

  * Added aptitude as installed packages. (Closes: #797962)

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 09:58:29 +0000

openstack-debian-images (1.5) unstable; urgency=medium

  * Using httpredir.debian.org instead of http.debian.net (Closes: #792362).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 09:55:43 +0000

openstack-debian-images (1.4) unstable; urgency=medium

  * Added script to build a murano image in the contrib folder.
  * Now changing the version number on the output file depending on the release
    name of Debian.
  * Added patches contributed by Gaudenz Steinlin <gaudenz@debian.org>
    (Closes: #784334):
    - By default the rescue and emergency shell are started on the boot
      console. This is ttyS0 on this image in order to have the boot output on
      the serial console which is accessible by "nova console-log". But there
      is no input device connected to this console, so the shells there are
      pretty useless. On the other hand tty0 is accessible via the spice or
      VNC console.
    - Only install extlinux in /boot/extlinux. Some parts were installed in
      / only, others in both locations.
    - Remove the quiet flag from the standard boot command. This is useful on
      desktops to not clutter the boot screen, but not on a cloud image.
    - Use symlinks to kernel and initrd. This allows seamless kernel upgrades.
  * Changed the loging for the list of packages for wheezy and other releases
    of Debian (it was selecting the list of package for Wheezy for Stretch and
    buster).
  * Added a couple of sync calls to make sure we don't have a race condition
    when removing the loopback device using kpartx.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 May 2015 22:30:46 +0200

openstack-debian-images (1.3) unstable; urgency=medium

  * Removed the tweak of /etc/modules, as acpiphp and pci_hotplug aren't in the
    Jessie kernel: they are built not as module (Closes: #783340).
  * Also adds security repository if building an image for Jessie. Previously,
    this was done only for Wheezy (Closes: #783480).
  * Adds dbus + libpam-systemd when building a Jessie image, and acpid +
    acpi-support-base when building a Wheezy image, so that ACPI shutdown works
    by default (Closes: #783448).
  * Adds nano as default when not using the --minimal flag (Closes: #783341).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 May 2015 15:39:59 +0200

openstack-debian-images (1.2) unstable; urgency=medium

  * Uses 2GB by default as initial HDD space for the image, as 1GB isn't big
    enough for building a Jessie image anymore (Closes: #776217). Thanks to
    Steve McIntyre <steve@einval.com> for the bug report.
  * Error as non-zero in case of an error (Closes: #776216). Thanks to Steve
    McIntyre <steve@einval.com> for the bug report and patch.
  * Allow stretch and buster as release names.
  * Adds the contrib/official-debian-image-hook script used for generating the
    official Debian image.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Jan 2015 15:14:53 +0100

openstack-debian-images (1.1) unstable; urgency=medium

  * Fixed compat option for newer qemu (Closes: #770943).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 13:48:26 +0800

openstack-debian-images (1.0) unstable; urgency=medium

  * Fixed the sudoers file to support the --login option. (Closes: #766234)
  * Finally calling this version 1.0 as it seems working well! :)
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Oct 2014 15:49:36 +0800

openstack-debian-images (0.11) unstable; urgency=medium

  * Using "console=tty0 console=ttyS0,115200" as boot parameter. The issue to
    not being able to log into multiple console is in bootlogd (see Debian bug
    181756).

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Jul 2014 13:30:18 +0800

openstack-debian-images (0.10) unstable; urgency=medium

  * Added an option to choose the login username, thanks to Jordan Pittier
    <jordan.pittier@gmail.com> for providing the feature (Closes: #752787).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Jul 2014 17:19:46 +0800

openstack-debian-images (0.9) unstable; urgency=medium

  * Adds manage_etc_hosts: true in /etc/cloud/cloud.cfg.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 May 2014 09:30:50 +0000

openstack-debian-images (0.8) unstable; urgency=medium

  [ Thomas Goirand ]
  * Added the flag -s to kpart -asv. (Closes: #741477).

  [ Thomas Bechtold <toabctl@debian.org> ]
  * Allow upgrades during build of image.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 May 2014 16:40:21 +0000

openstack-debian-images (0.7) unstable; urgency=high

  * Adds echo "mount_default_fields:" in /etc/cloud/cloud.cfg to allow the
    automatic mount of /dev/vdb ephemeral disk.
  * Standards-Version: is now 3.9.5.
  * Removes openstack-pkg-tools build-dependency, and made the include in
    debian/rules not mandatory.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jan 2014 20:00:15 +0800

openstack-debian-images (0.6) unstable; urgency=medium

  * Fixes the console so that it works with both SPICE & horizon logs, thanks
    to Jordan Pittier <jordan.pittier-ext@cloudwatt.com> for reporting and
    finding the solution (Closes: #726619).

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Dec 2013 00:01:07 +0800

openstack-debian-images (0.5) unstable; urgency=medium

  [ Mehdi Abaakouk ]
  * Restore the default sshd configuration to allow authorized_keys and
    authorized_keys2 files

  [ Thomas Goirand ]
  * Added a new example folder showing how to create a NFS cinder VM using a
    static IP in Quantum.
  * Correctly writes in ${MOUNT_DIR}/etc/modules and not in the /etc/modules of
    the computer creating the image (Closes: #728943).
  * Corrects "Using the -ar option truncates 5% off the end of the resized
    filesystem." by using Mi instead of M when using parted (Closes: #728939).

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Oct 2013 20:46:15 +0800

openstack-debian-images (0.4) unstable; urgency=low

  * Fixed a typo in package description (Closes: #718363).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jul 2013 19:11:27 +0800

openstack-debian-images (0.3) unstable; urgency=low

  [ Thomas Goirand ]
  * Added a hook script.
  * Installs cloud-init, cloud-utils and cloud-initramfs-growroot from
    backports in Wheezy, since they are now available from there.
  * Added a --source-list-mirror option to fill the sources.list with custom
    mirror addresses.
  * Added an option to choose the initial image size.
  * Made Mehdi's feature to automatically shrink images to a minimal size as
    optional, since it doesn't entirely work and is very slow.
  * Added an option to set a default root password.

  [ Mehdi Abaakouk ]
  * Shrink image to a minimal size
  * Umount chroot and delete devmapper stuff on error/interruption

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Jul 2013 17:56:22 +0800

openstack-debian-images (0.2) unstable; urgency=low

  * Also unmount the /proc of the image folder in /tmp in case we abort due to
    the .deb files missing if building a Wheezy image.
  * Review the script man page.
  * Adds the installation of the kbd package, and disabling of consol blanking.
  * Don't setup a password for root.
  * Fixes the sources.list which had whatever was used for the debootstrap.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Jun 2013 16:47:18 +0800

openstack-debian-images (0.1) unstable; urgency=low

  * Initial release. (Closes: #710273).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 May 2013 16:39:47 +0800
